import * as moment from 'moment';
import * as React from 'react';
export interface DateRangeProps {
    start?: moment.Moment;
    end?: moment.Moment;
    onChange: Function;
    showTime?: boolean;
    allowClear?: boolean;
}
export default class extends React.PureComponent<DateRangeProps> {
    opend: boolean;
    format: string;
    state: {
        endOpen: boolean;
    };
    constructor(props: any);
    disabledStartDate(date: moment.Moment): boolean;
    disabledEndDate(date: moment.Moment): boolean;
    onStartChange(date: moment.Moment): void;
    onEndChange(date: moment.Moment): void;
    handleStartOpenChange(open: any): void;
    handleEndOpenChange(open: any): void;
    render(): JSX.Element;
}
